# Poco::Zip

# class ZipDataInfo64

Library: Zip
Package: Zip
Header: Poco/Zip/ZipDataInfo.h

## Description

A ZipDataInfo64 stores a Zip data descriptor for a Zip64 file

## Member Summary

Member Functions: getCRC32, getCompressedSize, getFullHeaderSize, getRawHeader, getUncompressedSize, isValid, setCRC32, setCompressedSize, setUncompressedSize

## Constructors

### ZipDataInfo64

ZipDataInfo64();

Creates a header with all fields (except the header field) set to 0

### ZipDataInfo64

ZipDataInfo64(
std::istream & in,
bool assumeHeaderRead
);

Creates the ZipDataInfo64.

## Destructor

### ~ZipDataInfo64

~ZipDataInfo64();

Destroys the ZipDataInfo64.

## Member Functions

### getCRC32

Poco::UInt32 getCRC32() const;

### getCompressedSize

Poco::UInt64 getCompressedSize() const;

### getFullHeaderSize

static Poco::UInt32 getFullHeaderSize();

### getRawHeader

const char * getRawHeader() const;

### getUncompressedSize

Poco::UInt64 getUncompressedSize() const;

### isValid

bool isValid() const;

### setCRC32

void setCRC32(
Poco::UInt32 crc
);

### setCompressedSize

void setCompressedSize(
Poco::UInt64 size
);

### setUncompressedSize

void setUncompressedSize(
Poco::UInt64 size
);

## Variables

### HEADER

static const char HEADER[ZipCommon::HEADER_SIZE];